org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization

## Interface SerializationFactory

    public interface SerializationFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SerializationPackage`
Generated:

### Field Summary

Fields
`static SerializationFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`AbstractAttributeInstance` `createAbstractAttributeInstance()` Returns a new object of class 'Abstract Attribute Instance'.
`AbstractReferenceInstance` `createAbstractReferenceInstance()` Returns a new object of class 'Abstract Reference Instance'.
`ExtendedEObjectReference` `createExtendedEObjectReference()` Returns a new object of class 'Extended EObject Reference'.
`MultiValuedAttributeInstance` `createMultiValuedAttributeInstance()` Returns a new object of class 'Multi Valued Attribute Instance'.
`MultiValuedContainmentReferenceInstance` `createMultiValuedContainmentReferenceInstance()` Returns a new object of class 'Multi Valued Containment Reference Instance'.
`MultiValuedReferenceInstance` `createMultiValuedReferenceInstance()` Returns a new object of class 'Multi Valued Reference Instance'.
`SingleValuedAttributeInstance` `createSingleValuedAttributeInstance()` Returns a new object of class 'Single Valued Attribute Instance'.
`SingleValuedContainmentReferenceInstance` `createSingleValuedContainmentReferenceInstance()` Returns a new object of class 'Single Valued Containment Reference Instance'.
`SingleValuedReferenceInstance` `createSingleValuedReferenceInstance()` Returns a new object of class 'Single Valued Reference Instance'.
`SerializationPackage` `getSerializationPackage()` Returns the package supported by this factory.

### Field Detail

#### eINSTANCE

    static final SerializationFactory eINSTANCE

The singleton instance of the factory.

Generated:

### Method Detail

#### createAbstractReferenceInstance

    AbstractReferenceInstance createAbstractReferenceInstance()

Returns a new object of class 'Abstract Reference Instance'.

Returns:
  a new object of class 'Abstract Reference Instance'.
Generated:

#### createMultiValuedContainmentReferenceInstance

    MultiValuedContainmentReferenceInstance createMultiValuedContainmentReferenceInstance()

Returns a new object of class 'Multi Valued Containment Reference Instance'.

Returns:
  a new object of class 'Multi Valued Containment Reference Instance'.
Generated:

#### createMultiValuedReferenceInstance

    MultiValuedReferenceInstance createMultiValuedReferenceInstance()

Returns a new object of class 'Multi Valued Reference Instance'.

Returns:
  a new object of class 'Multi Valued Reference Instance'.
Generated:

#### createSingleValuedAttributeInstance

    SingleValuedAttributeInstance createSingleValuedAttributeInstance()

Returns a new object of class 'Single Valued Attribute Instance'.

Returns:
  a new object of class 'Single Valued Attribute Instance'.
Generated:

#### createExtendedEObjectReference

    ExtendedEObjectReference createExtendedEObjectReference()

Returns a new object of class 'Extended EObject Reference'.

Returns:
  a new object of class 'Extended EObject Reference'.
Generated:

#### createSingleValuedContainmentReferenceInstance

    SingleValuedContainmentReferenceInstance createSingleValuedContainmentReferenceInstance()

Returns a new object of class 'Single Valued Containment Reference Instance'.

Returns:
  a new object of class 'Single Valued Containment Reference Instance'.
Generated:

#### createSingleValuedReferenceInstance

    SingleValuedReferenceInstance createSingleValuedReferenceInstance()

Returns a new object of class 'Single Valued Reference Instance'.

Returns:
  a new object of class 'Single Valued Reference Instance'.
Generated:

#### createMultiValuedAttributeInstance

    MultiValuedAttributeInstance createMultiValuedAttributeInstance()

Returns a new object of class 'Multi Valued Attribute Instance'.

Returns:
  a new object of class 'Multi Valued Attribute Instance'.
Generated:

#### createAbstractAttributeInstance

    AbstractAttributeInstance createAbstractAttributeInstance()

Returns a new object of class 'Abstract Attribute Instance'.

Returns:
  a new object of class 'Abstract Attribute Instance'.
Generated:

#### getSerializationPackage

    SerializationPackage getSerializationPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: